<div class="p-4">
<div  style="display: flex;justify-content: space-between;">
    <div><h4>Company List</h4> </div>
    <div>
      <div>  <button style="margin-right: 10px;" class="mr-4"   (click)="
        createCompany()
      ">Create Company</button>
      <button   (click)="
        openColumnCreateModal(
            columnModal
        )
      ">Add More Column</button></div>
    
    </div>
</div>
<table *ngIf="companies v" class="table table-striped">
    <thead>
      <tr>
        <th scope="col">SL</th>
        <th scope="col">Name</th>
        <th scope="col">Address</th>
        <!-- <span *ngFor="let property of companies[0].client?.extraCompanyProperties"><th scope="col">{{ property.name }}</th></span> -->
        <th  *ngFor="let property of companies[0].client?.extraCompanyProperties" scope="col">{{ property.name }}</th>
        <th scope="col">Action</th>
        
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let company of companies;let i=index">
        <th scope="row">{{ i+1 }}</th>
        <td>{{ company.name }}</td>
        <td>{{ company.address }}</td>
        <!-- <span style="display:flex" *ngFor="let value of company.propertyValues"><td>{{ value.value }}</td></span> -->
        <td *ngFor="let value of company.propertyValues">{{ value.value }}</td>
        <td *ngIf="company.propertyValues.length<company.client?.extraCompanyProperties.length" colspan="company.client?.extraCompanyProperties.length-company.propertyValues.length"> </td>
        <!-- <td colspan="2"> sdf {{ company.propertyValues.length }}</td> -->
        <td><button (click)="editCompany(company.id)">Edit</button></td>
      </tr>
    
    </tbody>
  </table>

</div>

<ng-template #columnModal let-c="close" let-d="dismiss">
    <div class="pt-2" style="    display: flex;
    justify-content: space-between;
    padding-right: 10px;
    padding-left: 10px;">
      <div class="advance-filter">
        <h6 class="advance-filter-title">Column Create</h6>
     
      </div>
      <button
        id="close-button"
        type="button"
        class="close px-3"
        aria-label="Close"
        (click)="d('Cross click')"
      >
        <span aria-hidden="true">&times;</span>
      </button>
      
    </div>
    <div style="width: 100%" class="modal-body p-0 m-0">
      <div style="    padding: 10px;">
        <div><div class="modal-card-body">
          <form [formGroup]="columnForm"  class="searchForm" id="searchForm">
            <div class="form-group row flex-column mb-3">
              <div class="col-sm-12 col-md-5 col-lg-3">
                <label
                  for="party"
                  class="control-label col-form-label float-left text-left font-weight-bolder white-space-pre"
                >
                  Name
                  <sup class="text-danger">*</sup>
                </label>
              </div>
              <div class="col-sm-12">
                <input
                  id="closeButton"
                  formControlName="name"
                  class="form-control float-left"
                  placeholder="Name"
                 
                />
              
              </div>
            </div>
          </form>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="advance-filter-btn-list">
              <button
                type="submit"
                class="btn btn-primary gkb-submit-btn mr-2"
               (click)="createColumn()"
              >
                Submit
              </button>
        
            </div>
          </div>
        </div>
        </div>
      </div>
     
    </div>
  </ng-template>
